---
title: llarp/util/logging/logger_syslog.hpp

---

# llarp/util/logging/logger_syslog.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::SysLogStream](Classes/structllarp_1_1SysLogStream.md)**  |




## Source code

```cpp
#pragma once

#include "logstream.hpp"
#include <iostream>

namespace llarp
{
  struct SysLogStream : public ILogStream
  {
    void
    PreLog(
        std::stringstream& s,
        LogLevel lvl,
        std::string_view filename,
        int lineno,
        const std::string& nodename) const override;

    void
    Print(LogLevel lvl, std::string_view tag, const std::string& msg) override;

    void
    PostLog(std::stringstream& ss) const override;

    virtual void
    ImmediateFlush() override
    {}

    void Tick(llarp_time_t) override
    {}
  };
}  // namespace llarp
```


-------------------------------

Updated on 2022-07-24 at 00:14:36 +0000
