---
title: llarp::vpn::Win32RouteManager

---

# llarp::vpn::Win32RouteManager





Inherits from [llarp::vpn::IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual void | **[AddRoute](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-addroute)**(IPVariant_t ip, IPVariant_t gateway) override |
| virtual void | **[DelRoute](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-delroute)**(IPVariant_t ip, IPVariant_t gateway) override |
| virtual void | **[AddRouteViaInterface](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-addrouteviainterface)**([NetworkInterface](Classes/classllarp_1_1vpn_1_1NetworkInterface.md) & vpn, [IPRange](Classes/structllarp_1_1IPRange.md) range) override |
| virtual void | **[DelRouteViaInterface](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-delrouteviainterface)**([NetworkInterface](Classes/classllarp_1_1vpn_1_1NetworkInterface.md) & vpn, [IPRange](Classes/structllarp_1_1IPRange.md) range) override |
| virtual std::vector< IPVariant_t > | **[GetGatewaysNotOnInterface](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-getgatewaysnotoninterface)**(std::string ifname) override |
| virtual void | **[AddDefaultRouteViaInterface](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-adddefaultrouteviainterface)**(std::string ifname) override |
| virtual void | **[DelDefaultRouteViaInterface](Classes/classllarp_1_1vpn_1_1Win32RouteManager.md#function-deldefaultrouteviainterface)**(std::string ifname) override |

## Additional inherited members

**Public Types inherited from [llarp::vpn::IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md)**

|                | Name           |
| -------------- | -------------- |
| using std::variant< [huint32_t](Classes/structllarp_1_1huint__t.md), [huint128_t](Classes/structllarp_1_1huint__t.md) > | **[IPVariant_t](Classes/classllarp_1_1vpn_1_1IRouteManager.md#using-ipvariant-t)**  |

**Public Functions inherited from [llarp::vpn::IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md)**

|                | Name           |
| -------------- | -------------- |
| | **[IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-iroutemanager)**() =default |
| | **[IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-iroutemanager)**(const [IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md) & ) =delete |
| | **[IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-iroutemanager)**([IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md) && ) =delete |
| virtual | **[~IRouteManager](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-~iroutemanager)**() =default |
| virtual void | **[AddBlackhole](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-addblackhole)**() |
| virtual void | **[DelBlackhole](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-delblackhole)**() |


## Public Functions Documentation

### function AddRoute

```cpp
inline virtual void AddRoute(
    IPVariant_t ip,
    IPVariant_t gateway
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::AddRoute](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-addroute)


### function DelRoute

```cpp
inline virtual void DelRoute(
    IPVariant_t ip,
    IPVariant_t gateway
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::DelRoute](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-delroute)


### function AddRouteViaInterface

```cpp
inline virtual void AddRouteViaInterface(
    NetworkInterface & vpn,
    IPRange range
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::AddRouteViaInterface](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-addrouteviainterface)


### function DelRouteViaInterface

```cpp
inline virtual void DelRouteViaInterface(
    NetworkInterface & vpn,
    IPRange range
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::DelRouteViaInterface](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-delrouteviainterface)


### function GetGatewaysNotOnInterface

```cpp
inline virtual std::vector< IPVariant_t > GetGatewaysNotOnInterface(
    std::string ifname
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::GetGatewaysNotOnInterface](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-getgatewaysnotoninterface)


### function AddDefaultRouteViaInterface

```cpp
inline virtual void AddDefaultRouteViaInterface(
    std::string ifname
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::AddDefaultRouteViaInterface](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-adddefaultrouteviainterface)


### function DelDefaultRouteViaInterface

```cpp
inline virtual void DelDefaultRouteViaInterface(
    std::string ifname
) override
```


**Reimplements**: [llarp::vpn::IRouteManager::DelDefaultRouteViaInterface](Classes/classllarp_1_1vpn_1_1IRouteManager.md#function-deldefaultrouteviainterface)


-------------------------------

Updated on 2022-07-24 at 00:14:35 +0000