---
title: llarp::nuint_t

---

# llarp::nuint_t



 [More...](#detailed-description)

## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::vector< uint8_t > | **[V6Container](Classes/structllarp_1_1nuint__t.md#using-v6container)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator&](Classes/structllarp_1_1nuint__t.md#function-operator&)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator|](Classes/structllarp_1_1nuint__t.md#function-operator|)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator^](Classes/structllarp_1_1nuint__t.md#function-operator^)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator~](Classes/structllarp_1_1nuint__t.md#function-operator~)**() const |
| [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator++](Classes/structllarp_1_1nuint__t.md#function-operator++)**() |
| [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator--](Classes/structllarp_1_1nuint__t.md#function-operator--)**() |
| constexpr bool | **[operator<](Classes/structllarp_1_1nuint__t.md#function-operator<)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr bool | **[operator==](Classes/structllarp_1_1nuint__t.md#function-operator==)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| void | **[ToV6](Classes/structllarp_1_1nuint__t.md#function-tov6)**(V6Container & c) |
| std::string | **[ToString](Classes/structllarp_1_1nuint__t.md#function-tostring)**() const |
| bool | **[FromString](Classes/structllarp_1_1nuint__t.md#function-fromstring)**(const std::string & data) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| UInt_t | **[n](Classes/structllarp_1_1nuint__t.md#variable-n)**  |

## Friends

|                | Name           |
| -------------- | -------------- |
| std::ostream & | **[operator<<](Classes/structllarp_1_1nuint__t.md#friend-operator<<)**(std::ostream & out, const [nuint_t](Classes/structllarp_1_1nuint__t.md) & i)  |

## Detailed Description

```cpp
template <typename UInt_t >
struct llarp::nuint_t;
```

## Public Types Documentation

### using V6Container

```cpp
using llarp::nuint_t< UInt_t >::V6Container =  std::vector<uint8_t>;
```


## Public Functions Documentation

### function operator&

```cpp
inline constexpr nuint_t operator&(
    nuint_t x
) const
```


### function operator|

```cpp
inline constexpr nuint_t operator|(
    nuint_t x
) const
```


### function operator^

```cpp
inline constexpr nuint_t operator^(
    nuint_t x
) const
```


### function operator~

```cpp
inline constexpr nuint_t operator~() const
```


### function operator++

```cpp
inline nuint_t operator++()
```


### function operator--

```cpp
inline nuint_t operator--()
```


### function operator<

```cpp
inline constexpr bool operator<(
    nuint_t x
) const
```


### function operator==

```cpp
inline constexpr bool operator==(
    nuint_t x
) const
```


### function ToV6

```cpp
void ToV6(
    V6Container & c
)
```


### function ToString

```cpp
std::string ToString() const
```


### function FromString

```cpp
inline bool FromString(
    const std::string & data
)
```


## Public Attributes Documentation

### variable n

```cpp
UInt_t n = 0;
```


## Friends

### friend operator<<

```cpp
friend std::ostream & operator<<(
    std::ostream & out,

    const nuint_t & i
);
```


-------------------------------

Updated on 2022-07-24 at 00:14:33 +0000