---
title: llarp/consensus/table.hpp

---

# llarp/consensus/table.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::consensus](Namespaces/namespacellarp_1_1consensus.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::consensus::Table](Classes/structllarp_1_1consensus_1_1Table.md)** <br>consensus table  |




## Source code

```cpp
#pragma once

#include <llarp/crypto/types.hpp>
#include <vector>

namespace llarp
{
  namespace consensus
  {
    struct Table : public std::vector<RouterID>
    {
      ShortHash
      CalculateHash() const;
    };
  }  // namespace consensus
}  // namespace llarp
```


-------------------------------

Updated on 2022-07-24 at 00:14:35 +0000
